Bug 119666 - Spatial Nautilus doesn't connect to Samba share
Spatial Nautilus doesn't connect to Samba share
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-01 04:13 EST by Eugenia Loli-Queru
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 10:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugenia Loli-Queru 2004-04-01 04:13:50 EST
Description of problem:
I am in the situation where the "Browse" traditional Nautilus window 
loads up my WinXP's "ShareDir" via samba, while the Spatial version 
fails!
Please check the screenshot:
http://www.osnews.com/img/6552/nautilus.png
You can see the error message I am getting and the defaults on of the 
x-directory/smb-share MIME type on the two panels, while I am able to 
easily connct with the traditional Nautilu.s
Please note that traditional Nautilus asks me for a password adn a 
login, while the spatial version just spits that error and doesn't 
ask me for anything.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see above
2.
3.
    

Additional info:
Comment 1 Santiago Erquicia 2004-04-03 12:47:00 EST
I can reproduce this bug.
Comment 2 Alexander Larsson 2004-04-06 11:11:56 EDT
Strange. Does the same happen if you create a new user and try it?

There really shouldn't be any mime settings for x-directory/smb-share,
its handled on a lower level (its just a directory). Its possible that
the mime setting is confusing things.
Comment 3 Alexander Larsson 2004-04-06 12:07:26 EDT
Might be related to bug 119446, but its not exactly the same.
Comment 4 Eugenia Loli-Queru 2004-04-08 02:39:55 EDT
I can't create a new user. :(
Fedora is seriously busted with this SELinux crap Red Hat added.
See bug #120379

Give me a work around to that bug, and I will retry for you.
Comment 5 Alexander Larsson 2004-10-04 11:04:00 EDT
Can you retry with fc3test?
You need to disable the firewall for smb browsing to work (bug 133478)
Comment 6 Eugenia Loli-Queru 2004-10-04 16:23:35 EDT
I will do so in 10-20 days when the final is released (I ain't gonna 
download and burn 4 CDs just for this bug, Fedora is bloated, needs 
trimming). If the bug is there in the final version, we can retry 
fixing it on FC4 timeframe.
Comment 7 Alexander Larsson 2006-09-04 10:13:44 EDT
So, does this work in FC5?
Comment 8 Eugenia Loli-Queru 2006-09-04 14:07:03 EDT
Please stop asking me about things that happened 2.5 years. If you are not capable to catter to bug 
reports within 6 months, please remove them from your DB and if the bugs remain, the user must re-
input them. You are making an assumption that I ever upgraded or installed FC5 (I did, but that's besides 
the point).

Note You need to log in before you can comment on or make changes to this bug.